diff --git a/templates/pages/download/linux/linux_oneclick.inc b/templates/pages/download/linux/linux_oneclick.inc
index ff38e8c..ad1bbbc 100644
--- a/templates/pages/download/linux/linux_oneclick.inc
+++ b/templates/pages/download/linux/linux_oneclick.inc
@@ -27,6 +27,46 @@ of the binaries, without the installer.
 This download is intended for users who wish to include PostgreSQL as part of another application installer.
 </p>
 
+<h3>Platform support</h3>
+
+<p>The installers are tested by EnterpriseDB on the following platforms.
+    They may also work on other variations or versions:</p>
+
+<div class="tblBasic">
+  <table border="0" cellpadding="0" cellspacing="0" class="tblBasicGrey">
+    <tr>
+      <th>PostgreSQL Version</th>
+      <th>64 Bit Platforms</th>
+      <th>32 Bit Platforms</th>
+    </tr>
+    <tr>
+      <td>9.6</td>
+      <td>RHEL / CentOS / OEL 7.x & 6.x, SLES 12.x, Ubuntu 14.04 LTS, Debian 8.x & 7.x</td>
+      <td>RHEL / CentOS / OEL 6.x, SLES 12.x, Ubuntu 14.04 LTS</td>
+    </tr>
+    <tr>
+      <td>9.5</td>
+      <td>RHEL / CentOS / OEL 7.x & 6.x, SLES 12.x, Ubuntu 14.04 LTS, Debian 7.x, Amazon Linux</td>
+      <td>RHEL / CentOS / OEL 6.x, SLES 12.x, Ubuntu 14.04 LTS, Debian 7.x, Amazon Linux</td>
+    </tr>
+    <tr>
+      <td>9.4</td>
+      <td>RHEL / CentOS / OEL 7.x & 6.x, SLES 11.x, Ubuntu 14.04 LTS, Debian 7.x, Amazon Linux</td>
+      <td>RHEL / CentOS / OEL 6.x, SLES 12.x, Ubuntu 14.04 LTS, Debian 7.x, Amazon Linux</td>
+    </tr>
+    <tr>
+      <td>9.3</td>
+      <td>RHEL / CentOS / OEL 6.x, SLES 11.x, Ubuntu 12.04 LTS, Debian 7.x, Amazon Linux</td>
+      <td>RHEL / CentOS / OEL 6.x, SLES 11.x, Ubuntu 12.04 LTS, Debian 7.x, Amazon Linux</td>
+    </tr>
+    <tr>
+      <td>9.2</td>
+      <td>RHEL / CentOS / OEL 6.x, 5.x, SLES 11.x, Ubuntu 12.04 LTS</td>
+      <td>RHEL / CentOS / OEL 6.x, 5.x, SLES 11.x, Ubuntu 12.04 LTS</td>
+    </tr>
+  </table>
+</div>
+
 <p>
 <i>Note:</i> The installers do not integrate with
 platform-specific packaging systems.
diff --git a/templates/pages/download/macosx.html b/templates/pages/download/macosx.html
index ed1ef37..e1bdb66 100644
--- a/templates/pages/download/macosx.html
+++ b/templates/pages/download/macosx.html
@@ -47,6 +47,40 @@ of the binaries, without the installer.
 This download is intended for users who wish to include PostgreSQL as part of another application installer.
 </p>
 
+<h3>Platform support</h3>
+
+<p>The installers are tested by EnterpriseDB on the following platforms.
+    They will generally work on newer versions of macOS as well:</p>
+
+<div class="tblBasic">
+  <table border="0" cellpadding="0" cellspacing="0" class="tblBasicGrey">
+    <tr>
+      <th>PostgreSQL Version</th>
+      <th>64 Bit Platforms</th>
+    </tr>
+    <tr>
+      <td>9.6</td>
+      <td>macOS 10.8 - 10.12</td>
+    </tr>
+    <tr>
+      <td>9.5</td>
+      <td>macOS 10.8 - 10.12</td>
+    </tr>
+    <tr>
+      <td>9.4</td>
+      <td>macOS 10.6 - 10.9</td>
+    </tr>
+    <tr>
+      <td>9.3</td>
+      <td>macOS 10.6 - 10.9</td>
+    </tr>
+    <tr>
+      <td>9.2</td>
+      <td>macOS 10.6 - 10.9</td>
+    </tr>
+  </table>
+</div>
+
 <h2>Graphical installer by BigSQL</h2>
 
 <p>
diff --git a/templates/pages/download/windows.html b/templates/pages/download/windows.html
index 07c7d4e..b8c21f6 100644
--- a/templates/pages/download/windows.html
+++ b/templates/pages/download/windows.html
@@ -26,6 +26,46 @@ The installer is designed to be a straightforward, fast way to get up and runnin
 PostgreSQL on Windows.
 </p>
 
+<h3>Platform support</h3>
+
+<p>The installers are tested by EnterpriseDB on the following platforms.
+    They can generally be expected to run on other comparable versions:</p>
+
+<div class="tblBasic">
+  <table border="0" cellpadding="0" cellspacing="0" class="tblBasicGrey">
+    <tr>
+      <th>PostgreSQL Version</th>
+      <th>64 Bit Platforms</th>
+      <th>32 Bit Platforms</th>
+    </tr>
+    <tr>
+      <td>9.6</td>
+      <td>Windows 2012 R2 & R1, Windows 2008 R2, Windows 7, 8, 10</td>
+      <td>Windows 2008 R1, Windows 7, 8, 10</td>
+    </tr>
+    <tr>
+      <td>9.5</td>
+      <td>Windows 2012 R2 & R1, Windows 2008 R2</td>
+      <td>Windows 2008 R1</td>
+    </tr>
+    <tr>
+      <td>9.4</td>
+      <td>Windows 2012 R2, Windows 2008 R2</td>
+      <td>Windows 2008 R1</td>
+    </tr>
+    <tr>
+      <td>9.3</td>
+      <td>Windows 2012, Windows 2008 R2</td>
+      <td>Windows 2008 R1</td>
+    </tr>
+    <tr>
+      <td>9.2</td>
+      <td>Windows 2008 R2 & R1</td>
+      <td>Windows 2008 R1</td>
+    </tr>
+  </table>
+</div>
+
 <p>
 <em>Advanced users</em> can also download a
 <a href="http://www.enterprisedb.com/products/pgbindownload.do">zip archive</a>
